
Figure - Bug #118880
【AF】【EVT3】【IOVDEV-33961】95版本升级最新DB版本后，在控制中心点击音量条无响应，回到桌面一
会后，出现系统界面没有响应
2023-06-21 17:23 - 物联网测试组_CDTS  唐霞 

Status: CLOSED Start date: 2023-06-21

Priority: High Due date:

Assignee: 物联网测试组_TSCD 王维 % Done: 0%

Category: AUDIO-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 01.00.C105_20230621_private_user（621DB版本）

Resolution: DUPLICATE Degrated: --

Severity: Major Verified Version:

Reproducibility: Frequently Fixed Version:

Test Type: Release Test Root cause: 该问题同IOVDEV-33961，申请关闭。

Description

【测试步骤】

QFIL刷机95版本本地升级到最新DB版本

【预期结果】

升级成功，设备可正常使用

【测试结果】

在控制中心点击音量条无法响应，回到桌面一会出现，系统界面没有响应

Related issues:

Related to Figure - Bug # 118800: 【AF】【EVT3】【控制中心】断开蓝牙迅速调... CLOSED 2023-06-15

History

#1 - 2023-06-21 17:25 - 物联网测试组_CDTS  唐霞 

- Subject changed from 【AF】【EVT3】95版本升级最新DB版本后，在控制中心点击音量条无法响应，回到桌面一会出现，系统界面没有响应 to 【AF】

【EVT3】95版本升级最新DB版本后，在控制中心点击音量条无响应，回到桌面一会后，出现系统界面没有响应

#2 - 2023-06-21 18:39 - 物联网测试组_CDTS  唐霞 

- File anr_2023-06-21-18-34-51-075 added

- File anr_2023-06-21-18-34-09-743 added

#3 - 2023-06-21 19:17 - CD APP-王营

【分析】

SystemUI滑动音量条出现 ANR

06-21 15:33:42.914  1588  3889 E ActivityManager: ANR in com.android.systemui

06-21 15:33:42.914  1588  3889 E ActivityManager: PID: 3420

06-21 15:33:42.914  1588  3889 E ActivityManager: Reason: Input dispatching timed out (edge-swipe (server) is not responding. Waited 5001ms for MotionEvent)

trace情况如下：

"main" prio=5 tid=1 Native  | group="main" sCount=1 ucsCount=0 flags=1 obj=0x7269de80 self=0xb40000781748c7b0  | sysTid=18246 nice=-10 cgrp=default sched=0/0

handle=0x79e6eec4f8  | state=S schedstat=( 1375538313 129932478 1745 ) utm=119 stm=18 core=4 HZ=100  | stack=0x7fd8868000-0x7fd886a000 stackSize=8188KB  |

held mutexes=

  native: #00 pc 00000000000a1c88  /apex/com.android.runtime/lib64/bionic/libc.so (__ioctl+8)

  native: #01 pc 000000000005b8d4  /apex/com.android.runtime/lib64/bionic/libc.so (ioctl+156)

  native: #02 pc 0000000000053070  /system/lib64/libbinder.so (android::IPCThreadState::talkWithDriver(bool)+292)

  native: #03 pc 00000000000542ac  /system/lib64/libbinder.so (android::IPCThreadState::waitForResponse(android::Parcel*, int*)+64)
  native: #04 pc 0000000000053ff0  /system/lib64/libbinder.so (android::IPCThreadState::transact(int, unsigned int, android::Parcel const&, android::Parcel*, unsigned

int)+224)

  native: #05 pc 000000000004bafc  /system/lib64/libbinder.so (android::BpBinder::transact(unsigned int, android::Parcel const&, android::Parcel*, unsigned int)+196)

  native: #06 pc 0000000000167664  /system/lib64/libandroid_runtime.so (android_os_BinderProxy_transact(_JNIEnv*, _jobject*, int, _jobject*, _jobject*, int)+156)

  at android.os.BinderProxy.transactNative(Native method)

  at android.os.BinderProxy.transact(BinderProxy.java:571)

  at android.media.IAudioService$Stub$Proxy.setStreamVolume(IAudioService.java:3262)

  at android.media.AudioManager.setStreamVolume(AudioManager.java:1248)

  at com.android.systemui.settings.volume.VolumeController.onChanged(VolumeController.java:97)

  at com.android.systemui.settings.volume.VolumeSlide.onStopTrackingTouch(VolumeSlide.java:79)

  at android.widget.SeekBar.onStopTrackingTouch(SeekBar.java:127)

  at android.widget.AbsSeekBar.onTouchEvent(AbsSeekBar.java:936)

  at android.view.View.dispatchTouchEvent(View.java:14541)

  at android.view.ViewGroup.dispatchTransformedTouchEvent(ViewGroup.java:3120)

  at android.view.ViewGroup.dispatchTouchEvent(ViewGroup.java:2801)

  at android.view.ViewGroup.dispatchTransformedTouchEvent(ViewGroup.java:3120)

  at android.view.ViewGroup.dispatchTouchEvent(ViewGroup.java:2801)

  at android.view.ViewGroup.dispatchTransformedTouchEvent(ViewGroup.java:3120)

  at android.view.ViewGroup.dispatchTouchEvent(ViewGroup.java:2801)

  at android.view.ViewGroup.dispatchTransformedTouchEvent(ViewGroup.java:3120)

  at android.view.ViewGroup.dispatchTouchEvent(ViewGroup.java:2801)

  at android.view.ViewGroup.dispatchTransformedTouchEvent(ViewGroup.java:3120)

  at android.view.ViewGroup.dispatchTouchEvent(ViewGroup.java:2801)

  at android.view.ViewGroup.dispatchTransformedTouchEvent(ViewGroup.java:3120)

  at android.view.ViewGroup.dispatchTouchEvent(ViewGroup.java:2801)

  at android.view.ViewGroup.dispatchTransformedTouchEvent(ViewGroup.java:3120)

  at android.view.ViewGroup.dispatchTouchEvent(ViewGroup.java:2801)

  at android.view.ViewGroup.dispatchTransformedTouchEvent(ViewGroup.java:3120)

  at android.view.ViewGroup.dispatchTouchEvent(ViewGroup.java:2801)

  at android.view.ViewGroup.dispatchTransformedTouchEvent(ViewGroup.java:3120)

  at android.view.ViewGroup.dispatchTouchEvent(ViewGroup.java:2801)

  at android.view.ViewGroup.dispatchTransformedTouchEvent(ViewGroup.java:3120)

  at android.view.ViewGroup.dispatchTouchEvent(ViewGroup.java:2801)

  at com.android.systemui.statusbar.phone.NotificationShadeWindowView.dispatchTouchEvent(NotificationShadeWindowView.java:176)

  at android.view.View.dispatchPointerEvent(View.java:14800)

  at android.view.ViewRootImpl$ViewPostImeInputStage.processPointerEvent(ViewRootImpl.java:6374)

  at android.view.ViewRootImpl$ViewPostImeInputStage.onProcess(ViewRootImpl.java:6175)

  at android.view.ViewRootImpl$InputStage.deliver(ViewRootImpl.java:5653)

  at android.view.ViewRootImpl$InputStage.onDeliverToNext(ViewRootImpl.java:5710)

  at android.view.ViewRootImpl$InputStage.forward(ViewRootImpl.java:5676)

  at android.view.ViewRootImpl$AsyncInputStage.forward(ViewRootImpl.java:5841)

  at android.view.ViewRootImpl$InputStage.apply(ViewRootImpl.java:5684)

  at android.view.ViewRootImpl$AsyncInputStage.apply(ViewRootImpl.java:5898)

  at android.view.ViewRootImpl$InputStage.deliver(ViewRootImpl.java:5657)

  at android.view.ViewRootImpl$InputStage.onDeliverToNext(ViewRootImpl.java:5710)

  at android.view.ViewRootImpl$InputStage.forward(ViewRootImpl.java:5676)

  at android.view.ViewRootImpl$InputStage.apply(ViewRootImpl.java:5684)

  at android.view.ViewRootImpl$InputStage.deliver(ViewRootImpl.java:5657)

  at android.view.ViewRootImpl.deliverInputEvent(ViewRootImpl.java:8597)

  at android.view.ViewRootImpl.doProcessInputEvents(ViewRootImpl.java:8548)

  at android.view.ViewRootImpl.enqueueInputEvent(ViewRootImpl.java:8516)

  at android.view.ViewRootImpl$WindowInputEventReceiver.onInputEvent(ViewRootImpl.java:8730)

  at android.view.InputEventReceiver.dispatchInputEvent(InputEventReceiver.java:260)

2025-07-04 2/5



  at android.os.MessageQueue.nativePollOnce(Native method)

  at android.os.MessageQueue.next(MessageQueue.java:335)

  at android.os.Looper.loopOnce(Looper.java:161)

  at android.os.Looper.loop(Looper.java:288)

  at android.app.ActivityThread.main(ActivityThread.java:7880)

  at java.lang.reflect.Method.invoke(Native method)

  at com.android.internal.os.RuntimeInit$MethodAndArgsCaller.run(RuntimeInit.java:548)

  at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:1009)

SystemUI在主线程设置音量和AudioService通信未能及时返回

【下一步】

1、此问题发生时候存在网络异常，副屏和中控网络不通，需要修复网络问题。

2、需要Audio同事分析一下通信逻辑。

#4 - 2023-06-21 19:24 - CD APP-王营

- Status changed from New to ASSIGNED

- Assignee changed from CD FW 曹覃刚 to Multimedia组-RD3_TSCD 梁卿山

#5 - 2023-06-28 15:14 - Multimedia组-RD3_TSCD 梁卿山

Hi ALL

当前分析：

从日志分析，ANR发生在15:31：48 时，我往前5s看了相关的日志，未发现存在AudioService没有回复的情况。

06-21 15:31:48.388  1588 32551 W ActivityManager: Stale PhantomProcessRecord {7db17ba 981:24564:/u0a95}, removing

06-21 15:31:48.390  1588 32551 E ActivityManager: ANR in com.android.systemui

06-21 15:31:48.390  1588 32551 E ActivityManager: PID: 2038

06-21 15:31:48.390  1588 32551 E ActivityManager: Reason: Input dispatching timed out (edge-swipe (server) is not responding. Waited 5000ms for MotionEvent)

06-21 15:31:48.390  1588 32551 E ActivityManager: Frozen: false

06-21 15:31:48.390  1588 32551 E ActivityManager: Load: 5.79 / 5.91 / 3.11

06-21 15:31:48.390  1588 32551 E ActivityManager: ----- Output from /proc/pressure/memory -----

06-21 15:31:48.390  1588 32551 E ActivityManager: some avg10=0.00 avg60=0.04 avg300=0.19 total=2665577

06-21 15:31:48.390  1588 32551 E ActivityManager: full avg10=0.00 avg60=0.00 avg300=0.00 total=308637

06-21 15:31:48.390  1588 32551 E ActivityManager: ----- End output from /proc/pressure/memory -----

06-21 15:31:43.185  1588 15435 D AS.AudioService: idcm_volume:setIDCMicroVolume(stream=3, index=38, calling=com.android.systemui)

06-21 15:31:43.185  1588 15435 D AudioIDCMicroNegotiator: idcm_volume:setIDCMicroVolume

06-21 15:31:43.185  1588 15435 D AudioIDCMicroNegotiator: idcm_common:requestResult method = setVolume parameters =

{"functionInfo":{"IDCM_VolumeValue_Media":"38"}}

06-21 15:31:43.185  1588 15435 I MicroServiceManager: requestResult(setVolume) parameters is{"functionInfo":{"IDCM_VolumeValue_Media":"38"}}.

06-21 15:31:43.185  2340 29859 E MicroService: Client is not connected.

06-21 15:31:43.185  2340 29859 E MicroService: Client is not connected.

06-21 15:31:43.786  1588 15435 W AS.AudioService: idcm_warn: fail to set Vol: 38, respone: null

06-21 15:31:43.787  1588 15435 W AS.AudioService: idcm_warn: exception: java.lang.Exception: fail to set Vol: 38

06-21 15:31:43.792  1588 15435 I volume_changed: [3,23,38,39,com.android.systemui]

06-21 15:31:43.792  1588 15435 D AS.AudioService: idcm_volume:==> use the old index: 23 isStreamMute = false

06-21 15:31:43.813  1588  8569 D AS.AudioService: forceVolumeControlStream cb:android.os.BinderProxy@cbb840c is already linked.
06-21 15:31:43.814  1588 18807 D AS.AudioService: idcm_volume:setIDCMicroVolume(stream=3, index=32, calling=com.android.systemui)

06-21 15:31:43.814  1588 18807 D AudioIDCMicroNegotiator: idcm_volume:setIDCMicroVolume

06-21 15:31:43.814  1588 18807 D AudioIDCMicroNegotiator: idcm_common:requestResult method = setVolume parameters =

{"functionInfo":{"IDCM_VolumeValue_Media":"32"}}

06-21 15:31:43.814  1588 18807 I MicroServiceManager: requestResult(setVolume) parameters is{"functionInfo":{"IDCM_VolumeValue_Media":"32"}}.

06-21 15:31:43.814  2340 29859 E MicroService: Client is not connected.

06-21 15:31:43.814  2340 29859 E MicroService: Client is not connected.

06-21 15:31:44.414  1588 18807 D AudioIDCMicroNegotiator: idcm_volume:setIDCMicroVolume return null

06-21 15:31:44.414  1588 18807 W AS.AudioService: idcm_warn: fail to set Vol: 32, respone: null

06-21 15:31:44.415  1588 18807 W AS.AudioService: idcm_warn: exception: java.lang.Exception: fail to set Vol: 32

06-21 15:31:44.422  1588 18807 I volume_changed: [3,23,32,39,com.android.systemui]

06-21 15:31:44.422  1588 18807 D AS.AudioService: idcm_volume:==> use the old index: 23 isStreamMute = false

下一步：

增加强化日志，尝试复现。

#6 - 2023-06-29 10:29 - Multimedia组-RD3_TSCD 梁卿山

Hi ALL

从ANR分析，在调节音量时，未出现线程block的情况，

从以下信息看，调节音量在等待在waitForRespone，该处会等待600m后继续执行，当前在该处没有继续。

"Binder:1540_14" prio=5 tid=149 TimedWaiting

  | group="main" sCount=1 ucsCount=0 flags=1 obj=0x155c1420 self=0xb4000078175f60b0

  | sysTid=5240 nice=-10 cgrp=default sched=0/0 handle=0x75f5509cb0

  | state=S schedstat=( 432107115 300421307 2046 ) utm=29 stm=13 core=5 HZ=100

  | stack=0x75f5412000-0x75f5414000 stackSize=991KB

  | held mutexes=

  at java.lang.Object.wait(Native method)

  - waiting on <0x0421a38a> (a java.lang.Object)

  at java.lang.Object.wait(Object.java:442)

  at com.android.server.audio.AudioIDCMicroNegotiator$IDCMicroVolumeHandler.waitForRespone(AudioIDCMicroNegotiator.java:725)

  - locked <0x0421a38a> (a java.lang.Object)

  at com.android.server.audio.AudioIDCMicroNegotiator.setIDCMicroVolume(AudioIDCMicroNegotiator.java:806)

  at com.android.server.audio.AudioService.setIDCMicroVolume(AudioService.java:11050)

  at com.android.server.audio.AudioService.setStreamVolume(AudioService.java:3687)

  - locked <0x08e2ddfb> (a java.lang.Object)

  at com.android.server.audio.AudioService.setStreamVolume(AudioService.java:3386)

  at android.media.IAudioService$Stub.onTransact(IAudioService.java:1359)

  at android.os.Binder.execTransactInternal(Binder.java:1179)

  at android.os.Binder.execTransact(Binder.java:1143)

#7 - 2023-06-30 15:25 - Multimedia组-RD3_TSCD 梁卿山

Hi ALL
当前分析：

在断网时，连续的调节音量，必现该问题，

当前将增加相关日志查看。

#8 - 2023-06-30 17:10 - 物联网测试组_CDTS  唐霞 

- Category set to AUDIO-FW

#9 - 2023-08-02 10:39 - Multimedia组-RD3_TSCD 梁卿山

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from Multimedia组-RD3_TSCD 梁卿山 to 物联网测试组_TSCD 王维

- Resolution changed from -- to DUPLICATE

- Root cause set to 该问题同IOVDEV-33961，申请关闭。

Hi ALL

该问题同IOVDEV-33961，申请关闭。

#10 - 2023-08-04 16:52 - CDTS_TEST 王成

- Subject changed from 【AF】【EVT3】95版本升级最新DB版本后，在控制中心点击音量条无响应，回到桌面一会后，出现系统界面没有响应 to 【AF】

【EVT3】【IOVDEV-33961】95版本升级最新DB版本后，在控制中心点击音量条无响应，回到桌面一会后，出现系统界面没有响应

#11 - 2023-08-09 14:57 - 物联网测试组_TSCD 王维

- Status changed from RESOLVED to VERIFIED

正常情况下不会出现该场景，同jira客户描述；故关闭

#12 - 2023-08-09 14:58 - 物联网测试组_TSCD 王维

- Status changed from VERIFIED to CLOSED

Files

621.txt 5.96 MB 2023-06-21 物联网测试组_CDTS  唐霞 

anr_2023-06-21-18-34-51-075 2.64 MB 2023-06-21 物联网测试组_CDTS  唐霞 

anr_2023-06-21-18-34-09-743 3.15 MB 2023-06-21 物联网测试组_CDTS  唐霞 
